Class CFire2D
	
	Private:
	
	Dim SpNoise As New CSprite2D
	Dim SpFireImg As New CSprite2D
	
	Sub Initialize()
		SpNoise.LoadFromFile("..\Art\Noise.jpg")
		SpFireImg.LoadFromFile("..\Art\Fire.jpg")
		SpLight.LoadFromFile("..\Art\Light.jpg")
		SpFire.Init(32, 64)
	End Sub
	
	Sub Terminate()
		SpNoise.Dispose(): SpFireImg.Dispose()
		SpLight.Dispose(): SpFire.Dispose()
	End Sub
	
	Public:
	
	Dim SpFire As New CSprite2D
	Dim SpLight As New CSprite2D
	
	Method Update(T)
		Dim t1 = T * 0.9, t2 = T * 0.4
		
		t1 = t1 - Floor(t1)
		t2 = t2 - Floor(t2)
		SpFire.TileDraw(SpNoise, 0, 0, 32, 64, 0, -64 * t1, OpPaint)
		SpFire.TileDraw(SpNoise, 0, 0, 32, 64, 32, -64 * t2, OpAdd)
		SpFire.Draw(SpFireImg, 0, 0, OpMul2X)
	End Method
	
End Class