Class CAnime2D
	
	Private:
	
	Dim Spr[] ' As Sprite2D
	Dim mSprCnt
	Dim mAddX, mAddY
	Dim mSpeed, mPhase
	
	Sub Terminate()
		For Dim i = 0 To mSprCnt - 1
			Spr[i].Dispose()
		Next
	End Sub
	
	Public:
	
	Method Init(%CntX, %CntY, %Width, %Height, %CenterX, %CenterY, $fName, !!Speed)
		Dim SprTemp As New CSprite2D, i
		
		Terminate()
		
		SprTemp.LoadFromFile(fName)
		mSprCnt = CntX * CntY
		mAddX = -CenterX: mAddY = -CenterY
		mSpeed = Speed
		
		For i = 0 To mSprCnt - 1
			Spr[i] = New CSprite2D
			Spr[i].Init(Width, Height, OpAlphaBlend)
			Spr[i].Draw(SprTemp, -(i Mod CntX) * Width, -(i \ CntX) * Height)
		Next
		
		SprTemp.Dispose()
	End Method
	
	Method Draw(Dest /*As CSprite2D*/, %dx, %dy, !!DT, %Op /*As CSprite2D_Op*/ = OpDefault)
		mPhase = mPhase + DT * mSpeed
		If mPhase > mSprCnt - 1 Then mPhase = mPhase - (mPhase \ mSprCnt) * mSprCnt
		Dest.Draw(Spr[mPhase], dx + mAddX, dy + mAddY, Op)
	End Method
	
End Class