Class CWater
	
	Private:
	
	Dim mSpeed = 1.0
	Dim SpNorm0 As New CSprite2D
	Dim SpNorm1 As New CSprite2D
	
	Sub Initialize()
		SpNorm0.LoadFromFile("..\Art\000.jpg")
		SpNorm1.LoadFromFile("..\Art\001.jpg")
		SpWater.Init(128, 128, OpPaint)
	End Sub
	
	Sub Terminate()
		SpNorm0.Dispose()
		SpNorm1.Dispose()
		SpWater.Dispose()
	End Sub
	
	Public:
	
	Dim SpWater As New CSprite2D
	
	Property Speed(s = Empty) As Single ' read/write
		If s = Empty Then
			Return mSpeed
		Else
			mSpeed = s
		End If
	End Property
	
	Method Update(t)
		Dim t1 = t * mSpeed, t2 = -t1
		SpWater.TileDraw(SpNorm0, 0, 0, 128, 128, 128 * (t1 - Floor(t1)), 0)
		SpWater.TileDraw(SpNorm1, 0, 0, 128, 128, 128 * (t2 - Floor(t2)), 0, OpAdd2D)
	End Method
	
End Class